package com.huigou.topsun.customer.application;

import com.huigou.topsun.customer.domain.CustomerDebtContact;
import com.huigou.topsun.customer.domain.query.CustomerDebtContactQueryRequest;
import com.huigou.topsun.customer.domain.vo.CustomerDebtContactVo;

import java.util.List;
import java.util.Map;

public interface CustomerDebtContactApplication {

    List<CustomerDebtContact> getCustomerDebtContactList(String customerId,String customerEmailType);

    CustomerDebtContactVo saveCustomerDebtContact(CustomerDebtContact customerDebtContact);

    void deleteCustomerDebtContact(List<String> ids);

    void deleteByCustomerId(String customerId);
}
